%define debug_package	%{nil}

%define rel	0
%define subrel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

# It's the same for releases, but different for pre-releases: please
# don't remove, even if it seems superfluous - AdamW 2008/03
%define fversion	%{version}

Summary:	'Bad' plugins for the Elisa media center
Name:		elisa-plugins-bad
Version:	0.5.37
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
# Disable irrelevant plugin (now we can't do it in core...) - AdamW
# 2008/10
Patch0:		elisa-plugins-bad-0.5.22-unneeded.patch
# From Debian: use system Coherence - AdamW 2009/02
Patch1:		http://patch-tracking.debian.net/patch/series/dl/elisa-plugins-bad/0.5.28-1/40_use-system-coherence.patch
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core = %{version}
Requires:	elisa-plugins-good = %{version}
# Needed for interface code, which is in this package - AdamW 2008/07
Requires:	python-cssutils
Suggests:	python-coherence
Suggests:	python-daap
# Needed for DAAP plugin
Suggests:	avahi-python
# Needed for yes.fm support
Suggests:	python-simplejson

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'bad' (somehow not up to planned
standards for plugins) plugins for Elisa.

%prep
%setup -q -n %{dirname}
%patch0 -p1 -b .unneeded
%patch1 -p1 -b .sys_coherence

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
# already in -good
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth



%changelog
* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.37-0.1mdv2009.1
+ Revision: 373908
- Update to 0.5.37 to fix bug #50530 (uses 100%% of CPU time)

* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.35-2mdv2009.1
+ Revision: 366828
- new release 0.5.35

* Tue Mar 17 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.32-2mdv2009.1
+ Revision: 356623
- new release 0.5.32

* Sun Mar 08 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.30-2mdv2009.1
+ Revision: 352934
- Upgrade to 0.5.30

* Wed Feb 18 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.28-2mdv2009.1
+ Revision: 342666
- add 40_use-system-coherence.patch from Debian: use system coherence

* Tue Feb 17 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.28-1mdv2009.1
+ Revision: 341176
- new release 0.5.28

* Sat Feb 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.27-1mdv2009.1
+ Revision: 340301
- new release 0.5.27

* Mon Feb 09 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.25-1mdv2009.1
+ Revision: 338922
- new release 0.5.25

* Fri Jan 16 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.23-1mdv2009.1
+ Revision: 330358
- new release 0.5.23

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 318781
- rediff unneeded.patch
- new release 0.5.22

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Dec 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 312381
- new release 0.5.21

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.20-1mdv2009.1
+ Revision: 308905
- update unneeded.patch: we still have to disable osso as upstream has not yet
  implemented code to disable it on non-hildon platforms
- new release 0.5.20

* Tue Nov 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.19-1mdv2009.1
+ Revision: 306698
- disable unneeded.patch for now (should be no longer needed, let's see)
- new release 0.5.19

* Tue Nov 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.18-1mdv2009.1
+ Revision: 304134
- new release 0.5.18

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.17-1mdv2009.1
+ Revision: 299905
- new release 0.5.17

* Wed Oct 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.16.1-1mdv2009.1
+ Revision: 298125
- new release 0.5.16.1

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.15-1mdv2009.1
+ Revision: 296263
- add unneeded.patch: don't include useless (on Linux) modules (this was
  previously done in main package but now cannot be)
- new release 0.5.15

* Wed Oct 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.14-1mdv2009.1
+ Revision: 293843
- new release 0.5.14

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.13-1mdv2009.1
+ Revision: 291717
- new release 0.5.13

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.12-1mdv2009.0
+ Revision: 289958
- new release 0.5.12

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.11-1mdv2009.0
+ Revision: 288050
- new release 0.5.11

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.9-1mdv2009.0
+ Revision: 283258
- drop suggests:lirc (should be in ugly, not good or bad)
- add suggests:python-simplejson (needed for new yes.fm support)
- new release 0.5.9

* Thu Sep 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2009.0
+ Revision: 280860
- new release 0.5.8

* Tue Aug 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.7-1mdv2009.0
+ Revision: 276057
- new release 0.5.7

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 271614
- new release 0.5.5

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-2mdv2009.0
+ Revision: 255770
- requires python-cssutils

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-1mdv2009.0
+ Revision: 255343
- new release 0.5.3

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 188616
- prettify svn / pre-release conditionals
- new release 0.3.5
- suggests avahi-python (needed for the DAAP plugin)

* Mon Mar 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-4mdv2008.1
+ Revision: 183204
- suggests python-daap

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-3mdv2008.1
+ Revision: 181072
- revert last change: updater is not enabled in default 0.3.4 config (only was enabled in rc2). will use a more elegant patch if re-enabled in future releases

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 181060
- add disable_updater.patch to stop raval frontend from checking for updates

* Wed Mar 05 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 179304
- buildrequires elisa-core not elisa to fix circular dependency issue
- 0.3.4 final

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc3.1mdv2008.1
+ Revision: 177154
- new release 0.3.4rc3

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc1.2mdv2008.1
+ Revision: 176860
- depend on -plugins-good (for __init__.py*), don't include __init__.py*

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc1.1mdv2008.1
+ Revision: 176631
- import elisa-plugins-bad


